package com.unis.detectionnum.server.dao;

import java.util.List;

import com.unis.detectionnum.server.entity.TaskInfoDO;

public interface TaskInfoDao {
	
    int deleteByPrimaryKey(String taskNo);

    int insert(TaskInfoDO record);

    int insertSelective(TaskInfoDO record);

    TaskInfoDO selectByPrimaryKey(String taskNo);

    int updateByPrimaryKeySelective(TaskInfoDO record);

    int updateByPrimaryKey(TaskInfoDO record);

	/** 
	 * @Title: getMaxCodeById 
	 * @Description: 生成最新定时任务编号
	 * @param pstr
	 * @throws 
	 */
	String getMaxCodeById(String pstr);

	/** 
	 * @Title: selectList 
	 * @Description: TODO
	 * @param record
	 * @throws 
	 */
	List<TaskInfoDO> selectList(TaskInfoDO record);

	/** 
	 * @Title: updateBySbCodeSelective 
	 * @Description: 根据sbCode修改信息
	 * @param taskInfoDO
	 * @return int
	 * @throws 
	 */
	int updateBySbCodeSelective(TaskInfoDO taskInfoDO);

	/** 
	 * @Title: deleteBySbCode 
	 * @Description: TODO
	 * @param @param sbCode
	 * @return int
	 * @throws 
	 */
	int deleteBySbCode(String sbCode);
}